com.informix.jdbc

## Interface IfmxReadableType

All Known Implementing Classes:
  IfxBSONObject, com.informix.jdbc.IfxObject

    public interface IfmxReadableType

Represents an Informix type that can be converted into different java types Not all Informix types convert into all java types All IfmxReadableTypes support toObject to convert into a java generic object which is the best fit java type that matches the informix type

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isNull()`
`java.sql.Blob` `toBlob()`
`boolean` `toBoolean()`
`byte` `toByte()`
`byte[]` `toBytes()`
`java.io.Reader` `toCharacterStream()`
`java.sql.Clob` `toClob()`
`java.sql.Date` `toDate()`
`java.math.BigDecimal` `toDecimal()`
`double` `toDouble()`
`float` `toFloat()`
`java.io.InputStream` `toInputStream()`
`int` `toInt()`
`Interval` `toInterval()`
`IntervalDF` `toIntervalDF()`
`IntervalYM` `toIntervalYM()`
`long` `toLong()`
`java.lang.Object` `toObject()`
`short` `toShort()`
`java.sql.Time` `toTime()`
`java.sql.Timestamp` `toTimestamp()`

### Method Detail

#### toInt

    int toInt()
       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toDecimal

    java.math.BigDecimal toDecimal()
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toByte

    byte toByte()
         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toBlob

    java.sql.Blob toBlob()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toBytes

    byte[] toBytes()
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toBoolean

    boolean toBoolean()
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toClob

    java.sql.Clob toClob()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toDate

    java.sql.Date toDate()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toFloat

    float toFloat()
           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toLong

    long toLong()
         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toShort

    short toShort()
           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toTime

    java.sql.Time toTime()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toDouble

    double toDouble()
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toTimestamp

    java.sql.Timestamp toTimestamp()
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toInputStream

    java.io.InputStream toInputStream()
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toCharacterStream

    java.io.Reader toCharacterStream()
                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toObject

    java.lang.Object toObject()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toInterval

    Interval toInterval()
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toIntervalYM

    IntervalYM toIntervalYM()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toIntervalDF

    IntervalDF toIntervalDF()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isNull

    boolean isNull()